/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
import { Item } from "./components/app-form/app-form";
import { Item as Item1 } from "./components/app-item/app-item";
export namespace Components {
    interface AppForm {
    }
    interface AppItem {
        "item": Item;
    }
    interface AppList {
    }
    interface AppRoot {
    }
}
declare global {
    interface HTMLAppFormElement extends Components.AppForm, HTMLStencilElement {
    }
    var HTMLAppFormElement: {
        prototype: HTMLAppFormElement;
        new (): HTMLAppFormElement;
    };
    interface HTMLAppItemElement extends Components.AppItem, HTMLStencilElement {
    }
    var HTMLAppItemElement: {
        prototype: HTMLAppItemElement;
        new (): HTMLAppItemElement;
    };
    interface HTMLAppListElement extends Components.AppList, HTMLStencilElement {
    }
    var HTMLAppListElement: {
        prototype: HTMLAppListElement;
        new (): HTMLAppListElement;
    };
    interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {
    }
    var HTMLAppRootElement: {
        prototype: HTMLAppRootElement;
        new (): HTMLAppRootElement;
    };
    interface HTMLElementTagNameMap {
        "app-form": HTMLAppFormElement;
        "app-item": HTMLAppItemElement;
        "app-list": HTMLAppListElement;
        "app-root": HTMLAppRootElement;
    }
}
declare namespace LocalJSX {
    interface AppForm {
        "onTodoAdded"?: (event: CustomEvent<Item>) => void;
    }
    interface AppItem {
        "item"?: Item;
    }
    interface AppList {
    }
    interface AppRoot {
    }
    interface IntrinsicElements {
        "app-form": AppForm;
        "app-item": AppItem;
        "app-list": AppList;
        "app-root": AppRoot;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "app-form": LocalJSX.AppForm & JSXBase.HTMLAttributes<HTMLAppFormElement>;
            "app-item": LocalJSX.AppItem & JSXBase.HTMLAttributes<HTMLAppItemElement>;
            "app-list": LocalJSX.AppList & JSXBase.HTMLAttributes<HTMLAppListElement>;
            "app-root": LocalJSX.AppRoot & JSXBase.HTMLAttributes<HTMLAppRootElement>;
        }
    }
}
